--
-- Kuali Coeus, a comprehensive research administration system for higher education.
-- 
-- Copyright 2005-2015 Kuali, Inc.
-- 
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Affero General Public License as
-- published by the Free Software Foundation, either version 3 of the
-- License, or (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Affero General Public License for more details.
-- 
-- You should have received a copy of the GNU Affero General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--

SET FOREIGN_KEY_CHECKS = 0;

-- CORRECTION TO KRIM_ROLE_PERM_T TO CLEAR DUPLICATE ENTRY INTRODUCED IN 2.0
-- SET PERM_ID = 183 WHERE ROLE_PERM_ID = 1115;
SET @OLD_ROLE_PERM_ID = (SELECT MIN(ROLE_PERM_ID) FROM KRIM_ROLE_PERM_T 
    WHERE ROLE_PERM_ID IN (SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T 
        WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') 
        AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Full Unmask Field' AND NMSPC_CD = 'KR-SYS' AND DESC_TXT = 'Authorizes users to view the entire Tax Identification Number on the Person document and inquiry.')));
UPDATE KRIM_ROLE_PERM_T SET PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Full Unmask Field' AND NMSPC_CD = 'KR-SYS' AND DESC_TXT = 'Authorizes users to view the entire Tax Identification Number on the Payee ACH document and Inquiry.') WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;

-- SET PERM_ID = 1240 WHERE PERM_ID = 10000;
INSERT INTO KRIM_PERM_ID_S VALUES (NULL);
UPDATE KRIM_PERM_ATTR_DATA_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Notification Template' AND NMSPC_CD = 'KC-PROTOCOL');
UPDATE KRIM_ROLE_PERM_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Notification Template' AND NMSPC_CD = 'KC-PROTOCOL');
SET @OLD_PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Notification Template' AND NMSPC_CD = 'KC-PROTOCOL');
UPDATE KRIM_PERM_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = @OLD_PERM_ID;

-- SET PERM_ID = 1241 WHERE PERM_ID = 10001;
INSERT INTO KRIM_PERM_ID_S VALUES (NULL);
UPDATE KRIM_PERM_ATTR_DATA_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Notification Template' AND NMSPC_CD = 'KC-PROTOCOL'); 
UPDATE KRIM_ROLE_PERM_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Notification Template' AND NMSPC_CD = 'KC-PROTOCOL');
SET @OLD_PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Notification Template' AND NMSPC_CD = 'KC-PROTOCOL');
UPDATE KRIM_PERM_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = @OLD_PERM_ID;

-- SET PERM_ID = 1242 WHERE PERM_ID = 10002;
INSERT INTO KRIM_PERM_ID_S VALUES (NULL);
UPDATE KRIM_PERM_ATTR_DATA_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Edit Protocol Billable' AND NMSPC_CD = 'KC-PROTOCOL');
UPDATE KRIM_ROLE_PERM_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Edit Protocol Billable' AND NMSPC_CD = 'KC-PROTOCOL');
SET @OLD_PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Edit Protocol Billable' AND NMSPC_CD = 'KC-PROTOCOL');
UPDATE KRIM_PERM_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = @OLD_PERM_ID;

-- SET PERM_ID = 1243 WHERE PERM_ID = 10003;
INSERT INTO KRIM_PERM_ID_S VALUES (NULL);
UPDATE KRIM_PERM_ATTR_DATA_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Protocol Submission' AND NMSPC_CD = 'KC-PROTOCOL');
UPDATE KRIM_ROLE_PERM_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Protocol Submission' AND NMSPC_CD = 'KC-PROTOCOL');
SET @OLD_PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Protocol Submission' AND NMSPC_CD = 'KC-PROTOCOL');
UPDATE KRIM_PERM_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = @OLD_PERM_ID;

-- SET PERM_ID = 1244 WHERE PERM_ID = 10004;
INSERT INTO KRIM_PERM_ID_S VALUES (NULL);
UPDATE KRIM_PERM_ATTR_DATA_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Protocol Review Not Required' AND NMSPC_CD = 'KC-PROTOCOL');
UPDATE KRIM_ROLE_PERM_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Protocol Review Not Required' AND NMSPC_CD = 'KC-PROTOCOL');
SET @OLD_PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Protocol Review Not Required' AND NMSPC_CD = 'KC-PROTOCOL');
UPDATE KRIM_PERM_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = @OLD_PERM_ID;

-- SET PERM_ID = 1245 WHERE PERM_ID = 10007;
INSERT INTO KRIM_PERM_ID_S VALUES (NULL);
UPDATE KRIM_PERM_ATTR_DATA_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Award Account' AND NMSPC_CD = 'KC-AWARD');
UPDATE KRIM_ROLE_PERM_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Award Account' AND NMSPC_CD = 'KC-AWARD');
SET @OLD_PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Award Account' AND NMSPC_CD = 'KC-AWARD');
UPDATE KRIM_PERM_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = @OLD_PERM_ID;

-- SET PERM_ID = 1246 WHERE PERM_ID = 10008;
INSERT INTO KRIM_PERM_ID_S VALUES (NULL);
UPDATE KRIM_PERM_ATTR_DATA_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain Protocol Notes' AND NMSPC_CD = 'KC-PROTOCOL');
UPDATE KRIM_ROLE_PERM_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain Protocol Notes' AND NMSPC_CD = 'KC-PROTOCOL');
SET @OLD_PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain Protocol Notes' AND NMSPC_CD = 'KC-PROTOCOL');
UPDATE KRIM_PERM_T SET PERM_ID = (SELECT MAX(ID) FROM KRIM_PERM_ID_S) WHERE PERM_ID = @OLD_PERM_ID;

-- SET ROLE_ID = 1240 WHERE ROLE_ID = 10000;
INSERT INTO KRIM_ROLE_ID_S VALUES (NULL);
SET @OLD_ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Protocol Unassigned' AND NMSPC_CD = 'KC-PROTOCOL');
UPDATE KRIM_ROLE_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_MBR_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_MBR_T SET MBR_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE MBR_ID = @OLD_ROLE_ID AND MBR_TYP_CD = 'R'; 
UPDATE KRIM_ROLE_PERM_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_RSP_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;

-- SET ROLE_ID = 1241 WHERE ROLE_ID = 10002;
INSERT INTO KRIM_ROLE_ID_S VALUES (NULL);
SET @OLD_ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'ProtocolApprover' AND NMSPC_CD = 'KC-PROTOCOL');
UPDATE KRIM_ROLE_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_MBR_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_MBR_T SET MBR_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE MBR_ID = @OLD_ROLE_ID AND MBR_TYP_CD = 'R';
UPDATE KRIM_ROLE_PERM_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_RSP_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;

-- SET ROLE_ID = 1242 WHERE ROLE_ID = 10003;
INSERT INTO KRIM_ROLE_ID_S VALUES (NULL);
SET @OLD_ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Active Committee Member' AND NMSPC_CD = 'KC-PROTOCOL');
UPDATE KRIM_ROLE_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_MBR_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_MBR_T SET MBR_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE MBR_ID = @OLD_ROLE_ID AND MBR_TYP_CD = 'R';
UPDATE KRIM_ROLE_PERM_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_RSP_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;

-- SET ROLE_ID = 1243 WHERE ROLE_ID = 10004;
INSERT INTO KRIM_ROLE_ID_S VALUES (NULL);
SET @OLD_ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Active Committee Member On Scheduled Date' AND NMSPC_CD = 'KC-PROTOCOL');
UPDATE KRIM_ROLE_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_MBR_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_MBR_T SET MBR_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE MBR_ID = @OLD_ROLE_ID AND MBR_TYP_CD = 'R';
UPDATE KRIM_ROLE_PERM_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_RSP_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;


-- SET ROLE_ID = 1244 WHERE ROLE_ID = 10005;
INSERT INTO KRIM_ROLE_ID_S VALUES (NULL);
SET @OLD_ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Time and Money Document Viewer' AND NMSPC_CD = 'KC-AWARD');
UPDATE KRIM_ROLE_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_MBR_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_MBR_T SET MBR_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE MBR_ID = @OLD_ROLE_ID AND MBR_TYP_CD = 'R';
UPDATE KRIM_ROLE_PERM_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_RSP_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;
UPDATE KRIM_ROLE_T SET ROLE_ID = (SELECT MAX(ID) FROM KRIM_ROLE_ID_S) WHERE ROLE_ID = @OLD_ROLE_ID;

-- SET ROLE_PERM_ID = 900  WHERE ROLE_PERM_ID = 10000;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Proposal Creator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create ProposalDevelopmentDocument' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 901  WHERE ROLE_PERM_ID = 10001;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Aggregator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify ProposalDevelopmentDocument' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 902  WHERE ROLE_PERM_ID = 10002;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Aggregator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Proposal' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 903  WHERE ROLE_PERM_ID = 10003;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Aggregator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Narrative' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 904  WHERE ROLE_PERM_ID = 10004;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Aggregator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Narratives' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 905  WHERE ROLE_PERM_ID = 10005;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Aggregator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Budget' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 906  WHERE ROLE_PERM_ID = 10006;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Aggregator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Budget' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 907  WHERE ROLE_PERM_ID = 10007;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Aggregator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify ProposalPermissions' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 908  WHERE ROLE_PERM_ID = 10008;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Aggregator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Print Proposal' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 909  WHERE ROLE_PERM_ID = 10009;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Aggregator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Certify' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 910  WHERE ROLE_PERM_ID = 10010;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Aggregator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit ProposalDevelopmentDocument' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 911  WHERE ROLE_PERM_ID = 10011;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Aggregator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Add Proposal Viewer' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 912  WHERE ROLE_PERM_ID = 10012;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Narrative Writer' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify ProposalDevelopmentDocument' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 913  WHERE ROLE_PERM_ID = 10013;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Narrative Writer' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Proposal' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 914  WHERE ROLE_PERM_ID = 10014;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Narrative Writer' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Narrative' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 915  WHERE ROLE_PERM_ID = 10015;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Narrative Writer' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Narratives' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 916  WHERE ROLE_PERM_ID = 10016;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Narrative Writer' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Budget' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 917  WHERE ROLE_PERM_ID = 10017;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Narrative Writer' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Print Proposal' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 918  WHERE ROLE_PERM_ID = 10018;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Budget Creator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify ProposalDevelopmentDocument' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 919  WHERE ROLE_PERM_ID = 10019;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Budget Creator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Proposal' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 920  WHERE ROLE_PERM_ID = 10020;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Budget Creator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Narratives' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 921  WHERE ROLE_PERM_ID = 10021;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Budget Creator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Budget' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 922  WHERE ROLE_PERM_ID = 10022;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Budget Creator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Budget' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 923  WHERE ROLE_PERM_ID = 10023;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Budget Creator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Print Proposal' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 924  WHERE ROLE_PERM_ID = 10024;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Viewer' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Proposal' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 925  WHERE ROLE_PERM_ID = 10025;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Viewer' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Narratives' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 926  WHERE ROLE_PERM_ID = 10026;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Viewer' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Budget' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 927  WHERE ROLE_PERM_ID = 10027;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Viewer' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Print Proposal' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 928  WHERE ROLE_PERM_ID = 10028;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'OSP Administrator' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Proposal' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 929  WHERE ROLE_PERM_ID = 10029;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'OSP Administrator' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Narratives' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 930  WHERE ROLE_PERM_ID = 10030;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'OSP Administrator' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Budget' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 931  WHERE ROLE_PERM_ID = 10031;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'OSP Administrator' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Alter Proposal Data' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 932  WHERE ROLE_PERM_ID = 10032;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'OSP Administrator' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Add Proposal Viewer' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 933  WHERE ROLE_PERM_ID = 10033;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Proposal Submission' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Proposal' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 934  WHERE ROLE_PERM_ID = 10034;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Proposal Submission' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Narratives' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 935  WHERE ROLE_PERM_ID = 10035;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Proposal Submission' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Budget' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 936  WHERE ROLE_PERM_ID = 10036;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Proposal Submission' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Alter Proposal Data' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 937  WHERE ROLE_PERM_ID = 10037;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Proposal Submission' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Print Proposal' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 938  WHERE ROLE_PERM_ID = 10038;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Proposal Submission' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit to Sponsor' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 939  WHERE ROLE_PERM_ID = 10039;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Protocol Creator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create ProtocolDocument' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 940  WHERE ROLE_PERM_ID = 10040;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Protocol Aggregator' AND NMSPC_CD = 'KC-PROTOCOL') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Any Protocol' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 941  WHERE ROLE_PERM_ID = 10041;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Protocol Aggregator' AND NMSPC_CD = 'KC-PROTOCOL') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit Protocol' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 942  WHERE ROLE_PERM_ID = 10042;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Protocol Aggregator' AND NMSPC_CD = 'KC-PROTOCOL') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Protocol' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 943  WHERE ROLE_PERM_ID = 10043;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Protocol Aggregator' AND NMSPC_CD = 'KC-PROTOCOL') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Protocol' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 944  WHERE ROLE_PERM_ID = 10044;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Protocol Aggregator' AND NMSPC_CD = 'KC-PROTOCOL') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify ProtocolPermissions' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 945  WHERE ROLE_PERM_ID = 10045;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Protocol Aggregator' AND NMSPC_CD = 'KC-PROTOCOL') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Add Notes' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 946  WHERE ROLE_PERM_ID = 10046;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Protocol Aggregator' AND NMSPC_CD = 'KC-PROTOCOL') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Ammendment' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 947  WHERE ROLE_PERM_ID = 10047;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Protocol Aggregator' AND NMSPC_CD = 'KC-PROTOCOL') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Renewal' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 948  WHERE ROLE_PERM_ID = 10048;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Protocol Viewer' AND NMSPC_CD = 'KC-PROTOCOL') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Protocol' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 949  WHERE ROLE_PERM_ID = 10049;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Committee' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 950  WHERE ROLE_PERM_ID = 10050;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Schedule' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 951  WHERE ROLE_PERM_ID = 10051;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Perform IRB Actions on a Protocol' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 952  WHERE ROLE_PERM_ID = 10052;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Restricted Notes' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 953  WHERE ROLE_PERM_ID = 10053;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Agenda' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 954  WHERE ROLE_PERM_ID = 10054;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Committee' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 955  WHERE ROLE_PERM_ID = 10055;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Member Details' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 956  WHERE ROLE_PERM_ID = 10056;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Minutes' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 957  WHERE ROLE_PERM_ID = 10057;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Schedule' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 958  WHERE ROLE_PERM_ID = 10058;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Protocol' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 959  WHERE ROLE_PERM_ID = 10059;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create CommitteeDocument' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 960  WHERE ROLE_PERM_ID = 10060;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Administrative Correction' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 961  WHERE ROLE_PERM_ID = 10061;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Generate Agenda' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 962  WHERE ROLE_PERM_ID = 10062;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Generate Minutes' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 963  WHERE ROLE_PERM_ID = 10063;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Generate Schedule' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 964  WHERE ROLE_PERM_ID = 10067;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain Memberships' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 965  WHERE ROLE_PERM_ID = 10068;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain Minutes' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 966  WHERE ROLE_PERM_ID = 10069;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain Protocol Submissions' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 967  WHERE ROLE_PERM_ID = 10070;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Reviewer' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Agenda' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 968  WHERE ROLE_PERM_ID = 10071;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Reviewer' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Committee' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 969  WHERE ROLE_PERM_ID = 10072;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Reviewer' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Member Details' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 970  WHERE ROLE_PERM_ID = 10073;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Reviewer' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Minutes' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 971  WHERE ROLE_PERM_ID = 10074;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Reviewer' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Schedule' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 972  WHERE ROLE_PERM_ID = 10078;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Modifier' AND NMSPC_CD = 'KC-AWARD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Award' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 973  WHERE ROLE_PERM_ID = 10079;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Modifier' AND NMSPC_CD = 'KC-AWARD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Award' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 974  WHERE ROLE_PERM_ID = 10080;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Modifier' AND NMSPC_CD = 'KC-AWARD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Award' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 975  WHERE ROLE_PERM_ID = 10087;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Documents Maintainer' AND NMSPC_CD = 'KC-AWARD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain Award Documents' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 976  WHERE ROLE_PERM_ID = 10089;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Viewer' AND NMSPC_CD = 'KC-AWARD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Award' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 977  WHERE ROLE_PERM_ID = 10091;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Documents Viewer' AND NMSPC_CD = 'KC-AWARD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Award Documents' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 978  WHERE ROLE_PERM_ID = 10092;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Questionnaire' AND NMSPC_CD = 'KC-QUESTIONNAIRE'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 979  WHERE ROLE_PERM_ID = 10093;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Reviewer' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Questionnaire' AND NMSPC_CD = 'KC-QUESTIONNAIRE'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 980  WHERE ROLE_PERM_ID = 10094;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Aggregator' AND NMSPC_CD = 'KC-PD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain ProposalHierarchy' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 981  WHERE ROLE_PERM_ID = 10109;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Question' AND NMSPC_CD = 'KC-QUESTIONNAIRE'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 982  WHERE ROLE_PERM_ID = 10110;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Reviewer' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Question' AND NMSPC_CD = 'KC-QUESTIONNAIRE'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 983  WHERE ROLE_PERM_ID = 10111;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Blanket Approve Document' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 984  WHERE ROLE_PERM_ID = 10112;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Save Document' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 985  WHERE ROLE_PERM_ID = 10113;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Delete Note / Attachment' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 986  WHERE ROLE_PERM_ID = 10114;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Initiate Document' AND NMSPC_CD = 'KC-SYS' AND DESC_TXT = 'Authorizes the initiation of KC Simple Maintenance documents.'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 987  WHERE ROLE_PERM_ID = 10115;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Assign Role' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 988  WHERE ROLE_PERM_ID = 10116;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Grant Permission' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 989  WHERE ROLE_PERM_ID = 10117;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Grant Responsibility' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 990  WHERE ROLE_PERM_ID = 10118;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain System Parameter' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 991  WHERE ROLE_PERM_ID = 10119;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain System Parameter' AND NMSPC_CD = 'KR-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 992  WHERE ROLE_PERM_ID = 10120;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Full Unmask Field' AND NMSPC_CD = 'KR-SYS' AND DESC_TXT = 'Authorizes users to view the entire Tax Identification Number on the Payee ACH document and Inquiry.'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 993  WHERE ROLE_PERM_ID = 10121;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Other Action List' AND NMSPC_CD = 'KR-WKFLW' AND DESC_TXT = 'Authorizes users to access other user''s action lists via the Help Desk Action List Login.'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 994  WHERE ROLE_PERM_ID = 10122;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Unrestricted Document Search' AND NMSPC_CD = 'KR-WKFLW' AND DESC_TXT = 'Allows power users to bypass the security associated with certain document types to limit the result set.'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 995  WHERE ROLE_PERM_ID = 10123;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Full Unmask Field' AND NMSPC_CD = 'KR-SYS' AND DESC_TXT = 'Authorizes users to view the entire Tax Identification Number on the Person document and inquiry.'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 996  WHERE ROLE_PERM_ID = 10124;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Initiate Document' AND NMSPC_CD = 'KR-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 997  WHERE ROLE_PERM_ID = 10131;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Proposal Log PI' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Open Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 998  WHERE ROLE_PERM_ID = 10132;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'User' AND NMSPC_CD = 'KUALI') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Open Document' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 999  WHERE ROLE_PERM_ID = 10133;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Institutional Proposal Viewer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Open Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S)  WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1000 WHERE ROLE_PERM_ID = 10134;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Institutional Proposal Viewer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Open Intellectual Property Review' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1001 WHERE ROLE_PERM_ID = 10135;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Institutional Proposal Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1002 WHERE ROLE_PERM_ID = 10136;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Institutional Proposal Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Edit Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1003 WHERE ROLE_PERM_ID = 10137;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Institutional Proposal Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Save Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1004 WHERE ROLE_PERM_ID = 10138;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Institutional Proposal Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1005 WHERE ROLE_PERM_ID = 10139;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Institutional Proposal Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Open Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1006 WHERE ROLE_PERM_ID = 10140;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Institutional Proposal Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Cancel Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1007 WHERE ROLE_PERM_ID = 10141;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Institutional Proposal Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Intellectual Property Review' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1008 WHERE ROLE_PERM_ID = 10142;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Institutional Proposal Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Edit Intellectual Property Review' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1009 WHERE ROLE_PERM_ID = 10143;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Institutional Proposal Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Save Intellectual Property Review' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1010 WHERE ROLE_PERM_ID = 10144;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Institutional Proposal Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit Intellectual Property Review' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1011 WHERE ROLE_PERM_ID = 10145;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Institutional Proposal Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Open Intellectual Property Review' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1012 WHERE ROLE_PERM_ID = 10146;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Institutional Proposal Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Cancel Intellectual Property Review' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1013 WHERE ROLE_PERM_ID = 10147;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Intellectual Property Review Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Open Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1014 WHERE ROLE_PERM_ID = 10148;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Intellectual Property Review Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Intellectual Property Review' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1015 WHERE ROLE_PERM_ID = 10149;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Intellectual Property Review Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Edit Intellectual Property Review' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1016 WHERE ROLE_PERM_ID = 10150;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Intellectual Property Review Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Save Intellectual Property Review' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1017 WHERE ROLE_PERM_ID = 10151;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Intellectual Property Review Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit Intellectual Property Review' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1018 WHERE ROLE_PERM_ID = 10152;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Intellectual Property Review Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Open Intellectual Property Review' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1019 WHERE ROLE_PERM_ID = 10153;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Intellectual Property Review Maintainer' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Cancel Intellectual Property Review' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1020 WHERE ROLE_PERM_ID = 10154;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Unit Administrator' AND NMSPC_CD = 'KC-WKFLW') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Open Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1021 WHERE ROLE_PERM_ID = 10155;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Unit Administrator' AND NMSPC_CD = 'KC-WKFLW') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Open Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1022 WHERE ROLE_PERM_ID = 10177;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Correspondence Template' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1023 WHERE ROLE_PERM_ID = 10178;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Reviewer' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Correspondence Template' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1024 WHERE ROLE_PERM_ID = 10197;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Administrator' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create AwardBudget' AND NMSPC_CD = 'KC-AB'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1025 WHERE ROLE_PERM_ID = 10198;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Administrator' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Post AwardBudget' AND NMSPC_CD = 'KC-AB'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1026 WHERE ROLE_PERM_ID = 10199;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Administrator' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit AwardBudget' AND NMSPC_CD = 'KC-AB'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1027 WHERE ROLE_PERM_ID = 10200;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Administrator' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain AwardBudgetRouting' AND NMSPC_CD = 'KC-AB'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1028 WHERE ROLE_PERM_ID = 10201;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Administrator' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify AwardBudget' AND NMSPC_CD = 'KC-AB'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1029 WHERE ROLE_PERM_ID = 10202;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Administrator' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View AwardBudget' AND NMSPC_CD = 'KC-AB'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1030 WHERE ROLE_PERM_ID = 10203;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Maintainer' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit AwardBudget' AND NMSPC_CD = 'KC-AB'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1031 WHERE ROLE_PERM_ID = 10204;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Maintainer' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify AwardBudget' AND NMSPC_CD = 'KC-AB'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1032 WHERE ROLE_PERM_ID = 10205;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Maintainer' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View AwardBudget' AND NMSPC_CD = 'KC-AB'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1033 WHERE ROLE_PERM_ID = 10206;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Aggregator' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create AwardBudget' AND NMSPC_CD = 'KC-AB'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1034 WHERE ROLE_PERM_ID = 10207;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Aggregator' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit AwardBudget' AND NMSPC_CD = 'KC-AB'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1035 WHERE ROLE_PERM_ID = 10208;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Aggregator' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View AwardBudget' AND NMSPC_CD = 'KC-AB'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1036 WHERE ROLE_PERM_ID = 10209;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Viewer' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View AwardBudget' AND NMSPC_CD = 'KC-AB'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1037 WHERE ROLE_PERM_ID = 10210;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Modifier' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify AwardBudget' AND NMSPC_CD = 'KC-AB'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1038 WHERE ROLE_PERM_ID = 10211;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Approver' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Approve AwardBudget' AND NMSPC_CD = 'KC-AB'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1039 WHERE ROLE_PERM_ID = 10217;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'User' AND NMSPC_CD = 'KUALI') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Ad Hoc Review Document' AND NMSPC_CD = 'KC-SYS' AND DESC_TXT = 'Authorizes users to take the Approve action on KC documents Ad Hoc routed to them.'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1040 WHERE ROLE_PERM_ID = 10218;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'User' AND NMSPC_CD = 'KUALI') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Ad Hoc Review Document' AND NMSPC_CD = 'KC-SYS' AND DESC_TXT = 'Authorizes users to take the FYI action on KC documents Ad Hoc routed to them.'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1041 WHERE ROLE_PERM_ID = 10219;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'User' AND NMSPC_CD = 'KUALI') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Ad Hoc Review Document' AND NMSPC_CD = 'KC-SYS' AND DESC_TXT = 'Authorizes users to take the Acknowledge action on KC documents Ad Hoc routed to them.'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1042 WHERE ROLE_PERM_ID = 10220;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Batch Correspondence Detail' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1043 WHERE ROLE_PERM_ID = 10221;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Reviewer' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Batch Correspondence Detail' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1044 WHERE ROLE_PERM_ID = 10222;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'OSP Administrator' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Valid Rate' AND NMSPC_CD = 'KC-M'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1045 WHERE ROLE_PERM_ID = 10223;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Blanket Approve ProposalDevelopmentDocument' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1046 WHERE ROLE_PERM_ID = 10224;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Blanket Approve ProtocolDocument' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1047 WHERE ROLE_PERM_ID = 10225;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Blanket Approve CommitteeDocument' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1048 WHERE ROLE_PERM_ID = 10226;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Blanket Approve AwardDocument' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1049 WHERE ROLE_PERM_ID = 10227;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Blanket Approve TimeAndMoneyDocument' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1050 WHERE ROLE_PERM_ID = 10238;
-- SET ROLE_PERM_ID = 1051 WHERE ROLE_PERM_ID = 10277;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Initiator or Reviewer' AND NMSPC_CD = 'KR-WKFLW') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Award' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1052 WHERE ROLE_PERM_ID = 10297;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Administrator' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Award' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1053 WHERE ROLE_PERM_ID = 10298;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Maintainer' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Award' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1054 WHERE ROLE_PERM_ID = 10299;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Aggregator' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Award' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1055 WHERE ROLE_PERM_ID = 10300;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Viewer' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Award' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1056 WHERE ROLE_PERM_ID = 10301;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Modifier' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Award' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1057 WHERE ROLE_PERM_ID = 10302;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Budget Approver' AND NMSPC_CD = 'KC-AB') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Award' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1058 WHERE ROLE_PERM_ID = 10317;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Proposal Submission' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1059 WHERE ROLE_PERM_ID = 10318;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Proposal Submission' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1060 WHERE ROLE_PERM_ID = 10319;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Modifier' AND NMSPC_CD = 'KC-AWARD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1061 WHERE ROLE_PERM_ID = 10320;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Award Modifier' AND NMSPC_CD = 'KC-AWARD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1062 WHERE ROLE_PERM_ID = 10337;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Create Temporary Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1063 WHERE ROLE_PERM_ID = 10338;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Create Temporary Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Edit Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1064 WHERE ROLE_PERM_ID = 10339;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Create Temporary Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Save Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1065 WHERE ROLE_PERM_ID = 10340;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Create Temporary Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1066 WHERE ROLE_PERM_ID = 10341;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Create Temporary Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Open Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1067 WHERE ROLE_PERM_ID = 10342;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Create Temporary Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Cancel Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1068 WHERE ROLE_PERM_ID = 10343;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Create Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1069 WHERE ROLE_PERM_ID = 10344;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Create Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Edit Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1070 WHERE ROLE_PERM_ID = 10345;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Create Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Save Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1071 WHERE ROLE_PERM_ID = 10346;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Create Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1072 WHERE ROLE_PERM_ID = 10347;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Create Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Open Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1073 WHERE ROLE_PERM_ID = 10348;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Create Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Cancel Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1074 WHERE ROLE_PERM_ID = 10349;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Modify Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1075 WHERE ROLE_PERM_ID = 10350;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Modify Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Edit Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1076 WHERE ROLE_PERM_ID = 10351;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Modify Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Save Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1077 WHERE ROLE_PERM_ID = 10352;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Modify Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1078 WHERE ROLE_PERM_ID = 10353;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Modify Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Open Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1079 WHERE ROLE_PERM_ID = 10354;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Modify Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Cancel Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1080 WHERE ROLE_PERM_ID = 10355;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'View Proposal Log' AND NMSPC_CD = 'KC-IP') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Open Proposal Log' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1081 WHERE ROLE_PERM_ID = 10356;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'OSP Administrator' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1082 WHERE ROLE_PERM_ID = 10357;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'OSP Administrator' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Edit Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1083 WHERE ROLE_PERM_ID = 10358;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'OSP Administrator' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Save Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1084 WHERE ROLE_PERM_ID = 10359;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'OSP Administrator' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1085 WHERE ROLE_PERM_ID = 10360;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'OSP Administrator' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Open Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1086 WHERE ROLE_PERM_ID = 10361;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'OSP Administrator' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Cancel Institutional Proposal' AND NMSPC_CD = 'KC-IP'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1087 WHERE ROLE_PERM_ID = 10362;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Online Reviewer' AND NMSPC_CD = 'KC-PROTOCOL') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Protocol' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1088 WHERE ROLE_PERM_ID = 10363;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Protocol' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1089 WHERE ROLE_PERM_ID = 10364;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain Protocol Online Reviews' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1090 WHERE ROLE_PERM_ID = 10365;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Perform Committee Actions' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1091 WHERE ROLE_PERM_ID = 10366;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Online Reviewer' AND NMSPC_CD = 'KC-PROTOCOL') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Protocol Online Review Comments' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1092 WHERE ROLE_PERM_ID = 10367;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Protocol Online Review Comments' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1093 WHERE ROLE_PERM_ID = 10368;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Online Reviewer' AND NMSPC_CD = 'KC-PROTOCOL') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain Protocol Online Review Comments' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1094 WHERE ROLE_PERM_ID = 10369;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain Protocol Online Review Comments' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1095 WHERE ROLE_PERM_ID = 10377;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Notification Template' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1096 WHERE ROLE_PERM_ID = 10378;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Reviewer' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Notification Template' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1097 WHERE ROLE_PERM_ID = 10379;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Edit Protocol Billable' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1098 WHERE ROLE_PERM_ID = 10380;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create ProtocolDocument' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1099 WHERE ROLE_PERM_ID = 10381;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Modify Protocol Submission' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1100 WHERE ROLE_PERM_ID = 10383;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Submit Protocol' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1101 WHERE ROLE_PERM_ID = 10384;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Protocol Review Not Required' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1102 WHERE ROLE_PERM_ID = 10387;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Active Committee Member' AND NMSPC_CD = 'KC-PROTOCOL') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Committee' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1103 WHERE ROLE_PERM_ID = 10388;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Active Committee Member On Scheduled Date' AND NMSPC_CD = 'KC-PROTOCOL') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Schedule' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1104 WHERE ROLE_PERM_ID = 10389;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Time and Money Document Viewer' AND NMSPC_CD = 'KC-AWARD') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Award Documents' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1105 WHERE ROLE_PERM_ID = 10398;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Administer Routing for Document' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1106 WHERE ROLE_PERM_ID = 10399;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Grant Responsibility' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1107 WHERE ROLE_PERM_ID = 10401;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Populate Group' AND NMSPC_CD = 'KR-SYS' AND DESC_TXT = 'Authorizes users to modify the information on the Assignees Tab of the Group Document and the Group section of the Membership Tab on the Person Document for groups with namespaces beginning with KR.'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1108 WHERE ROLE_PERM_ID = 10402;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Cancel Document' AND NMSPC_CD = 'KUALI'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1109 WHERE ROLE_PERM_ID = 10403;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Copy Document' AND NMSPC_CD = 'KUALI'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1110 WHERE ROLE_PERM_ID = 10404;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT MIN(PERM_ID) FROM KRIM_PERM_T WHERE NM = 'Edit Document' AND NMSPC_CD = 'KUALI'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1111 WHERE ROLE_PERM_ID = 10405;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Log In' AND NMSPC_CD = 'KUALI'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1112 WHERE ROLE_PERM_ID = 10406;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Route Document' AND NMSPC_CD = 'KUALI'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1113 WHERE ROLE_PERM_ID = 10408;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'OSP Administrator' AND NMSPC_CD = 'KC-ADM') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Create Award Account' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1114 WHERE ROLE_PERM_ID = 10409;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'IRB Administrator' AND NMSPC_CD = 'KC-UNT') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain Protocol Notes' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1115 WHERE ROLE_PERM_ID = 10410;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Blanket Approve Document' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1116 WHERE ROLE_PERM_ID = 10411;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Save Document' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1117 WHERE ROLE_PERM_ID = 10412;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Delete Note / Attachment' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1118 WHERE ROLE_PERM_ID = 10413;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Initiate Document' AND NMSPC_CD = 'KC-SYS' AND DESC_TXT = 'Authorizes the initiation of KC Simple Maintenance documents.'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1119 WHERE ROLE_PERM_ID = 10414;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Assign Role' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1120 WHERE ROLE_PERM_ID = 10415;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Grant Permission' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1121 WHERE ROLE_PERM_ID = 10416;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Grant Responsibility' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1122 WHERE ROLE_PERM_ID = 10417;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain System Parameter' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1123 WHERE ROLE_PERM_ID = 10418;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Maintain System Parameter' AND NMSPC_CD = 'KR-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1124 WHERE ROLE_PERM_ID = 10419;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Full Unmask Field' AND NMSPC_CD = 'KR-SYS' AND DESC_TXT = 'Authorizes users to view the entire Tax Identification Number on the Payee ACH document and Inquiry.'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1125 WHERE ROLE_PERM_ID = 10420;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'View Other Action List' AND NMSPC_CD = 'KR-WKFLW' AND DESC_TXT = 'Authorizes users to access other user''s action lists via the Help Desk Action List Login.'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1126 WHERE ROLE_PERM_ID = 10421;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Unrestricted Document Search' AND NMSPC_CD = 'KR-WKFLW' AND DESC_TXT = 'Allows power users to bypass the security associated with certain document types to limit the result set.'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1127 WHERE ROLE_PERM_ID = 10422;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Full Unmask Field' AND NMSPC_CD = 'KR-SYS' AND DESC_TXT = 'Authorizes users to view the entire Tax Identification Number on the Person document and inquiry.'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1128 WHERE ROLE_PERM_ID = 10423;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Initiate Document' AND NMSPC_CD = 'KR-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1129 WHERE ROLE_PERM_ID = 10424;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Blanket Approve ProposalDevelopmentDocument' AND NMSPC_CD = 'KC-PD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1130 WHERE ROLE_PERM_ID = 10425;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Blanket Approve ProtocolDocument' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1131 WHERE ROLE_PERM_ID = 10426;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Blanket Approve CommitteeDocument' AND NMSPC_CD = 'KC-PROTOCOL'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1132 WHERE ROLE_PERM_ID = 10427;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Blanket Approve AwardDocument' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1133 WHERE ROLE_PERM_ID = 10428;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Blanket Approve TimeAndMoneyDocument' AND NMSPC_CD = 'KC-AWARD'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1134 WHERE ROLE_PERM_ID = 10429;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Administer Routing for Document' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1135 WHERE ROLE_PERM_ID = 10431;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Populate Group' AND NMSPC_CD = 'KR-SYS' AND DESC_TXT = 'Authorizes users to modify the information on the Assignees Tab of the Group Document and the Group section of the Membership Tab on the Person Document for groups with namespaces beginning with KR.'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1136 WHERE ROLE_PERM_ID = 10432;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Cancel Document' AND NMSPC_CD = 'KUALI'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1137 WHERE ROLE_PERM_ID = 10433;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Copy Document' AND NMSPC_CD = 'KUALI'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1138 WHERE ROLE_PERM_ID = 10434;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT MIN(PERM_ID) FROM KRIM_PERM_T WHERE NM = 'Edit Document' AND NMSPC_CD = 'KUALI'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1139 WHERE ROLE_PERM_ID = 10435;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Log In' AND NMSPC_CD = 'KUALI'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1140 WHERE ROLE_PERM_ID = 10436;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Route Document' AND NMSPC_CD = 'KUALI'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1141 WHERE ROLE_PERM_ID = 10437;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Application Administrator' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Populate KC Groups' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1142 WHERE ROLE_PERM_ID = 10493;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Manager' AND NMSPC_CD = 'KC-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Populate KC Groups' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;
-- SET ROLE_PERM_ID = 1143 WHERE ROLE_PERM_ID = 10494;
INSERT INTO KRIM_ROLE_PERM_ID_S VALUES (NULL);
SET @OLD_ROLE_PERM_ID = ( SELECT ROLE_PERM_ID FROM KRIM_ROLE_PERM_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Technical Administrator' AND NMSPC_CD = 'KR-SYS') AND PERM_ID = (SELECT PERM_ID FROM KRIM_PERM_T WHERE NM = 'Populate KC Groups' AND NMSPC_CD = 'KC-SYS'));
UPDATE KRIM_ROLE_PERM_T SET ROLE_PERM_ID = (SELECT MAX(ID) FROM KRIM_ROLE_PERM_ID_S) WHERE ROLE_PERM_ID = @OLD_ROLE_PERM_ID;

-- SET ROLE_RSP_ACTN_ID = 1040 WHERE ROLE_RSP_ACTN_ID = 10000;
INSERT INTO KRIM_ROLE_RSP_ACTN_ID_S VALUES (NULL);
SET @OLD_ROLE_RSP_ACTN_ID = (SELECT DISTINCT ROLE_RSP_ACTN_ID FROM KRIM_ROLE_RSP_ACTN_T WHERE ROLE_RSP_ID = (SELECT ROLE_RSP_ID FROM KRIM_ROLE_RSP_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Unit Administrator' AND NMSPC_CD = 'KC-WKFLW') AND RSP_ID = (SELECT RSP_ID FROM KRIM_RSP_T WHERE NM = 'ProtocolUnitApprovalResponsibility' AND NMSPC_CD = 'KC-WKFLW')));
UPDATE KRIM_ROLE_RSP_ACTN_T SET ROLE_RSP_ACTN_ID = (SELECT MAX(ID) FROM KRIM_ROLE_RSP_ACTN_ID_S) WHERE ROLE_RSP_ACTN_ID = @OLD_ROLE_RSP_ACTN_ID;

-- SET ROLE_RSP_ID = 1040 WHERE ROLE_RSP_ID = 10001;
INSERT INTO KRIM_ROLE_RSP_ACTN_ID_S VALUES (NULL);
SET @OLD_ROLE_RSP_ID = (SELECT ROLE_RSP_ID FROM KRIM_ROLE_RSP_T WHERE ROLE_ID = (SELECT ROLE_ID FROM KRIM_ROLE_T WHERE ROLE_NM = 'Unit Administrator' AND NMSPC_CD = 'KC-WKFLW') AND RSP_ID = (SELECT RSP_ID FROM KRIM_RSP_T WHERE NM = 'ProtocolUnitApprovalResponsibility' AND NMSPC_CD = 'KC-WKFLW'));
UPDATE KRIM_ROLE_RSP_T SET ROLE_RSP_ID = (SELECT MAX(ID) FROM KRIM_ROLE_RSP_ACTN_ID_S) WHERE ROLE_RSP_ID = @OLD_ROLE_RSP_ID;
UPDATE KRIM_ROLE_RSP_ACTN_T SET ROLE_RSP_ID = (SELECT MAX(ID) FROM KRIM_ROLE_RSP_ACTN_ID_S) WHERE ROLE_RSP_ID = @OLD_ROLE_RSP_ID;

SET FOREIGN_KEY_CHECKS = 1;

COMMIT;
